version: '3.8'

services:
  oneos:
    image: harbor.lnh2e.com/lingniu-v1/oneos:main-0.0.0
    network_mode: host
    environment:
      NGINX_PORT: "80"
    deploy:
      replicas: 1
      restart_policy:
        condition: on-failure
      placement:
        constraints: [node.role == manager]
      labels:
        - portainer.hide=false
        - project=lingniu
